Subject: Re: bug#20137: number of generation doesn't always rise monotonically

From: [email-masked] (Taylan Ulrich Bayırlı/Kammer)
Date: Wed, 18 Mar 2015 21:47:47 +0100

[email-masked] (Ludovic Courtès) writes:

>   2. Upon rollback from P to N, keep all the generations, but use P+1
>      for the next generation number.  Doesn’t work, because rolling back
>      from P+1 would bring you back to P instead of N.

Perhaps we can eventually move to an actual tree structure where the
nodes can be named whatever.  Until now I thought that's how generations
work, and are just named after integers for identification purposes.

Taylan